ApiV1V1.pathfinderservice
GetChainInfo
GetChainInfo returns information about a specific chain
POST
/v1.PathfinderService/GetChainInfoConnect-Protocol-Version*1Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?Connect-Timeout-MsDefine the timeout, in ms
- body
chainId*chain_idThe chain id of the chain to get information for
showSymbols?show_symbolsWhether to show the symbols of the tokens on the chain, default is false
Success
- response
chain_info?curl -X POST 'https://example.com/v1.PathfinderService/GetChainInfo' \ -H 'Connect-Protocol-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "chainId": "string"}'Example Response
{ "chain_info": { "chain_id": "string", "chain_name": "string", "has_pfm": true, "is_broker": true, "routes": [ { "to_chain": "string", "to_chain_id": "string", "connection_id": "string", "channel_id": "string", "port_id": "string", "allowed_tokens": { "property1": { "chain_denom": "string", "ibc_denom": "string", "base_denom": "string", "origin_chain": "string", "decimals": 0, "symbol": "string" }, "property2": { "chain_denom": "string", "ibc_denom": "string", "base_denom": "string", "origin_chain": "string", "decimals": 0, "symbol": "string" } } } ] }}